"""Install for Silva External Sources extension
"""

from Products.Silva.install import add_fss_directory_view
from Products.Silva import roleinfo
from Facet import manage_addGetSidebar, manage_addMultiToc

def is_installed(root):
    # Hack to get installed state of this extension
    return getattr(root, '__silva_facets_installed__', False)

def install(root):
    # Hack - refresh SilvaDocument to make it pick up this extension
    root.service_extensions.refresh('SilvaDocument')
    root.manage_addProduct['SilvaFacets'].manage_addGetSidebar()
    root.manage_addProduct['SilvaFacets'].manage_addMultiToc()
    root.__silva_facets_installed__ = True
    
def uninstall(root):
    root.manage_delObjects(['facet_get_sidebar', 'facet_multi_toc'])
    root.__silva_facets_installed__ = False
    
